Sign inGet started

Add participant to conversation

POST
/workspaces/{workspaceId}/conversations/{conversationId}/participants
Add a participant to the conversation if it hasn't already been added
Cuerpo de la solicitud
Create a participant of the user or flow type.
id
string
obligatorio
ID of the flow or user.
type
string
obligatorio
Participant type.
Possible values: user, flow
status
string
Participant status in the conversation. Defaults to active.
Possible values: pending, invited, active
Cuerpo de la respuesta
avatarUrl
string
contact
object
Mostrar atributos secundarios
contact.identifierKey
string
obligatorio
contact.identifierValue
string
obligatorio
contact.platformAddress
string
contact.platformAddressSelector
string
conversationId
string
createdAt
string
displayName
string
id
string
obligatorio
resourceUri
string
status
string
Possible values: invited, pending, active, inactive
type
string
obligatorio
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
updatedAt
string
Ejemplo de código
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Ejemplo de código
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/c9c60caa-eaf5-4628-9687-91de4d452bfa/participants" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "type": "contact",
  "contact": {
    "identifierKey": "emailaddress",
    "identifierValue": "john.doe@bird.com"
  }
}'